package com.youchain.modules.quartz.task;

import com.alibaba.fastjson.JSONObject;
import com.youchain.modules.quartz.service.QuartzJobService;
import com.youchain.modules.system.service.DictDetailService;
import com.youchain.modules.system.service.dto.DictDetailDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class ConstructTest {

    @Autowired
    private DictDetailService dictDetailService;
    @Autowired
    private QuartzJobService quartzJobService;

    public ConstructTest() {
        System.out.println("加载配置文件");
    }

    /**
     * 加载外部接口地址
     */
    @PostConstruct
    public void configUrlApi(){
        quartzJobService.execution(quartzJobService.findById(3l));
        quartzJobService.execution(quartzJobService.findById(4l));
        quartzJobService.execution(quartzJobService.findById(6l));
    }
}
